org.eclnt.jsfserver.elements.componentnodes

## Class UI5M_TEXTNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.UI5M_TEXTNode

- All Implemented Interfaces:
    java.io.Serializable

      public class UI5M_TEXTNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UI5M_TEXTNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UI5M_TEXTNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `UI5M_TEXTNode` | `bindComment(IDynamicContentBindingObject value)`
    `UI5M_TEXTNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `UI5M_TEXTNode` | `bindLayoutdata(IDynamicContentBindingObject value)`
    `UI5M_TEXTNode` | `bindMaxlines(IDynamicContentBindingObject value)`
    `UI5M_TEXTNode` | `bindRendered(IDynamicContentBindingObject value)`
    `UI5M_TEXTNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `UI5M_TEXTNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `UI5M_TEXTNode` | `bindText(IDynamicContentBindingObject value)`
    `UI5M_TEXTNode` | `bindTextalign(IDynamicContentBindingObject value)`
    `UI5M_TEXTNode` | `bindTextdirection(IDynamicContentBindingObject value)`
    `UI5M_TEXTNode` | `bindWidth(IDynamicContentBindingObject value)`
    `UI5M_TEXTNode` | `bindWrapping(IDynamicContentBindingObject value)`
    `UI5M_TEXTNode` | `setAdapterbinding(java.lang.String value)`
    `UI5M_TEXTNode` | `setAttributemacro(java.lang.String value)`
    `UI5M_TEXTNode` | `setComment(java.lang.String value)`
    `UI5M_TEXTNode` | `setConfiginfo(java.lang.String value)`
    `UI5M_TEXTNode` | `setId(java.lang.String value)`
    `UI5M_TEXTNode` | `setLayoutdata(java.lang.String value)`
    `UI5M_TEXTNode` | `setMaxlines(int value)`
    `UI5M_TEXTNode` | `setMaxlines(java.lang.String value)`
    `UI5M_TEXTNode` | `setReference(java.lang.String value)`
    `UI5M_TEXTNode` | `setRendered(boolean value)`
    `UI5M_TEXTNode` | `setRendered(java.lang.String value)`
    `UI5M_TEXTNode` | `setStyleseq(java.lang.String value)`
    `UI5M_TEXTNode` | `setStylevariant(java.lang.String value)`
    `UI5M_TEXTNode` | `setText(java.lang.String value)`
    `UI5M_TEXTNode` | `setTextalign(java.lang.String value)`
    `UI5M_TEXTNode` | `setTextdirection(java.lang.String value)`
    `UI5M_TEXTNode` | `setWidth(int value)`
    `UI5M_TEXTNode` | `setWidth(java.lang.String value)`
    `UI5M_TEXTNode` | `setWrapping(boolean value)`
    `UI5M_TEXTNode` | `setWrapping(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UI5M_TEXTNode

          public UI5M_TEXTNode()

  - ### Method Detail

    - #### setId

          public UI5M_TEXTNode setId(java.lang.String value)

    - #### setAdapterbinding

          public UI5M_TEXTNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public UI5M_TEXTNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public UI5M_TEXTNode setAttributemacro(java.lang.String value)

    - #### setComment

          public UI5M_TEXTNode setComment(java.lang.String value)

    - #### bindComment

          public UI5M_TEXTNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public UI5M_TEXTNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public UI5M_TEXTNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setLayoutdata

          public UI5M_TEXTNode setLayoutdata(java.lang.String value)

    - #### bindLayoutdata

          public UI5M_TEXTNode bindLayoutdata(IDynamicContentBindingObject value)

    - #### setMaxlines

          public UI5M_TEXTNode setMaxlines(java.lang.String value)

    - #### bindMaxlines

          public UI5M_TEXTNode bindMaxlines(IDynamicContentBindingObject value)

    - #### setMaxlines

          public UI5M_TEXTNode setMaxlines(int value)

    - #### setReference

          public UI5M_TEXTNode setReference(java.lang.String value)

    - #### setRendered

          public UI5M_TEXTNode setRendered(java.lang.String value)

    - #### bindRendered

          public UI5M_TEXTNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public UI5M_TEXTNode setRendered(boolean value)

    - #### setStyleseq

          public UI5M_TEXTNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public UI5M_TEXTNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public UI5M_TEXTNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public UI5M_TEXTNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setText

          public UI5M_TEXTNode setText(java.lang.String value)

    - #### bindText

          public UI5M_TEXTNode bindText(IDynamicContentBindingObject value)

    - #### setTextalign

          public UI5M_TEXTNode setTextalign(java.lang.String value)

    - #### bindTextalign

          public UI5M_TEXTNode bindTextalign(IDynamicContentBindingObject value)

    - #### setTextdirection

          public UI5M_TEXTNode setTextdirection(java.lang.String value)

    - #### bindTextdirection

          public UI5M_TEXTNode bindTextdirection(IDynamicContentBindingObject value)

    - #### setWidth

          public UI5M_TEXTNode setWidth(java.lang.String value)

    - #### bindWidth

          public UI5M_TEXTNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public UI5M_TEXTNode setWidth(int value)

    - #### setWrapping

          public UI5M_TEXTNode setWrapping(java.lang.String value)

    - #### bindWrapping

          public UI5M_TEXTNode bindWrapping(IDynamicContentBindingObject value)

    - #### setWrapping

          public UI5M_TEXTNode setWrapping(boolean value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.